MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010886Community[OCCT] OCCT:Modeling Algorithmspublic2005-12-12 17:592011-11-23 18:07
Reporterabv 
Assigned Tomsv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 6.1.0 
Summary0010886: Forum 9220: Memory leak in IntCurvesFace_ShapeIntersector
DescriptionThis problem has been reported on OCC Forum by Tibor Mirjanszky
<mirjanszky.tibor@freemail.hu>. See Forum thread 9220:
http://www.opencascade.org/org/forum/thread_9220 [^]

--------------

Hi,
I have been using the class IntCurvesFace_ShapeIntersector, and it seems to me
that it is loosing memory.
If I insert a "delete Ptr;" after "Ptr->Destroy();" in
IntCurvesFace_ShapeIntersector::Destroy(), then it stops doing it. Is it a bug
or should I use it somehow else?
T.

--------------

According to fast analysis by MSV, it should be actually a bug: "delete Ptr;"
should be called instead of "Ptr->Destroy();"
Additional information
and documentation updates
Documentation remark, added by msv 2006-01-31 17:03:22:

Improvements:
The memory leak (mentioned in the thread 9220 on the OCC Forum) in the code of
the class IntCurvesFace_ShapeIntersector has been eliminated. Now the destructor
of this class properly frees all allocated memory.
TagsNo tags attached.
Test case number
Attached Filestgz file icon OCC10886_msv_patch_v1.tgz (1,959 bytes) 2005-12-12 16:23

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2006-01-23 16:54 bugmaster Status closed => assigned
2006-01-23 16:54 bugmaster Resolution suspended => @0@
2006-01-23 16:55 bugmaster Assigned To bugmaster => msv
2006-01-23 16:55 bugmaster CC => aki
2006-01-31 18:31 bugmaster CC => imv
2006-02-01 10:48 bugmaster Status assigned => resolved
2006-02-01 10:48 bugmaster Status resolved => tested
2006-02-17 10:37 bugmaster Status tested => verified
2006-04-06 16:28 bugmaster Status verified => closed
2006-04-06 16:28 bugmaster Resolution @0@ => fixed
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-11-23 18:07 szy Description Updated View Revisions
2011-11-23 18:07 szy Additional Information Updated View Revisions


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker